# Fibonacci numbers module

def fib(n):
  # write Fibonacci series up to n
  a, b = 0, 1
  while b < n:
    print("{0}, ".format(b),end="")
    a, b = b, a+b
  print()

def fiblist(n):
  # return Fibonacci series up to n as list
  result = []
  a, b = 0, 1
  while b < n:
    result.append(b)
    a, b = b, a+b
  return result

# used when executed as script
if __name__ == "__main__":
  import sys
  print(fiblist(int(sys.argv[1])))
