def PairIsSorted(v,i,j):
    return v[i]<=v[j]

def IsSorted(v):
    for i in range(0,len(v)-1):
        if not PairIsSorted(v,i,i+1):
            return False
    return True

def PairSort(v,i,j):
    if not PairIsSorted(v,i,j):
        v[i],v[j]=v[j],v[i]

def BubbleSort(v):
    while not IsSorted(v):
        for i in range(0,len(v)-1):
            PairSort(v,i,i+1)

import random
v = random.sample(range(1001),1001)
#v = [ 8,2,4,3,6,1,7,5 ]
print(v)
BubbleSort(v)
print(v)
